package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="general_parameter_detail")
public class GeneralParameterDetail implements Serializable {
 	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	 
	@Id
	@Column(name="language")
	private String language;
	
	@Id
	@Column(name="gp_key_1")
	private String gpKey1;
	
	@Id
	@Column(name="gp_key_2")
	private String gpKey2;
	 
	@Id
	@Column(name="gp_value")
	private String gpValue;
	
	@Id
	@Column(name="key")
	private String key;
	 	
	@Id
	@Column(name="value")
	private String value;


	@Column(name="sequence_ir")
	private String sequenceIR;
	
	@Column(name="visibility")
	private String visibility;

	@Column(name="description")
	private String description;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	} 
	
	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getGpKey1() {
		return gpKey1;
	}

	public void setGpKey1(String gpKey1) {
		this.gpKey1 = gpKey1;
	}

	public String getGpKey2() {
		return gpKey2;
	}

	public void setGpKey2(String gpKey2) {
		this.gpKey2 = gpKey2;
	}

	public String getGpValue() {
		return gpValue;
	}

	public void setGpValue(String gpValue) {
		this.gpValue = gpValue;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}	

	public String getSequenceIR() {
		return sequenceIR;
	}

	public void setSequenceIR(String sequenceIR) {
		this.sequenceIR = sequenceIR;
	}

	public String getVisibility() {
		return visibility;
	}

	public void setVisibility(String visibility) {
		this.visibility = visibility;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

}
